=== builddir/src/Makefile ===
#############################################################################
# Makefile for building: drinkCounter
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Dec 27 23:42:11 2010
# Project:  ../../src/src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix PREFIX=/usr -o Makefile ../../src/src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I../../src -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -I. -I../../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../../src/main.cpp \
		../../src/drinkcounter.cpp \
		../../src/settings.cpp \
		../../src/alcohol.cpp \
		../../src/diagram.cpp \
		../../src/newdrink.cpp \
		../../src/bill.cpp \
		../../src/changeuser.cpp moc_drinkcounter.cpp \
		moc_settings.cpp \
		moc_diagram.cpp \
		moc_newdrink.cpp \
		moc_bill.cpp \
		moc_changeuser.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		drinkcounter.o \
		settings.o \
		alcohol.o \
		diagram.o \
		newdrink.o \
		bill.o \
		changeuser.o \
		moc_drinkcounter.o \
		moc_settings.o \
		moc_diagram.o \
		moc_newdrink.o \
		moc_bill.o \
		moc_changeuser.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../../src/src.pro
QMAKE_TARGET  = drinkCounter
DESTDIR       = 
TARGET        = drinkCounter

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_drinkcounter.h ui_settings.h ui_diagram.h ui_newdrink.h ui_bill.h ui_changeuser.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../../src/src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix PREFIX=/usr -o Makefile ../../src/src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix PREFIX=/usr -o Makefile ../../src/src.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../src/.tmp/drinkCounter1.0.0 || $(MKDIR) ../../src/.tmp/drinkCounter1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../src/.tmp/drinkCounter1.0.0/ && $(COPY_FILE) --parents ../../src/drinkcounter.h ../../src/settings.h ../../src/alcohol.h ../../src/diagram.h ../../src/newdrink.h ../../src/bill.h ../../src/changeuser.h ../../src/.tmp/drinkCounter1.0.0/ && $(COPY_FILE) --parents ../../src/resources.qrc ../../src/.tmp/drinkCounter1.0.0/ && $(COPY_FILE) --parents ../../src/main.cpp ../../src/drinkcounter.cpp ../../src/settings.cpp ../../src/alcohol.cpp ../../src/diagram.cpp ../../src/newdrink.cpp ../../src/bill.cpp ../../src/changeuser.cpp ../../src/.tmp/drinkCounter1.0.0/ && $(COPY_FILE) --parents ../../src/drinkcounter.ui ../../src/settings.ui ../../src/diagram.ui ../../src/newdrink.ui ../../src/bill.ui ../../src/changeuser.ui ../../src/.tmp/drinkCounter1.0.0/ && (cd `dirname ../../src/.tmp/drinkCounter1.0.0` && $(TAR) drinkCounter1.0.0.tar drinkCounter1.0.0 && $(COMPRESS) drinkCounter1.0.0.tar) && $(MOVE) `dirname ../../src/.tmp/drinkCounter1.0.0`/drinkCounter1.0.0.tar.gz . && $(DEL_FILE) -r ../../src/.tmp/drinkCounter1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_drinkcounter.cpp moc_settings.cpp moc_diagram.cpp moc_newdrink.cpp moc_bill.cpp moc_changeuser.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_drinkcounter.cpp moc_settings.cpp moc_diagram.cpp moc_newdrink.cpp moc_bill.cpp moc_changeuser.cpp
moc_drinkcounter.cpp: ../../src/alcohol.h \
		../../src/bill.h \
		../../src/drinkcounter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../src/drinkcounter.h -o moc_drinkcounter.cpp

moc_settings.cpp: ../../src/drinkcounter.h \
		../../src/alcohol.h \
		../../src/bill.h \
		../../src/settings.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../src/settings.h -o moc_settings.cpp

moc_diagram.cpp: ../../src/alcohol.h \
		../../src/diagram.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../src/diagram.h -o moc_diagram.cpp

moc_newdrink.cpp: ../../src/alcohol.h \
		../../src/newdrink.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../src/newdrink.h -o moc_newdrink.cpp

moc_bill.cpp: ../../src/alcohol.h \
		../../src/bill.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../src/bill.h -o moc_bill.cpp

moc_changeuser.cpp: ../../src/changeuser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../src/changeuser.h -o moc_changeuser.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: ../../src/resources.qrc
	/usr/bin/rcc -name resources ../../src/resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_drinkcounter.h ui_settings.h ui_diagram.h ui_newdrink.h ui_bill.h ui_changeuser.h
compiler_uic_clean:
	-$(DEL_FILE) ui_drinkcounter.h ui_settings.h ui_diagram.h ui_newdrink.h ui_bill.h ui_changeuser.h
ui_drinkcounter.h: ../../src/drinkcounter.ui
	/usr/bin/uic ../../src/drinkcounter.ui -o ui_drinkcounter.h

ui_settings.h: ../../src/settings.ui
	/usr/bin/uic ../../src/settings.ui -o ui_settings.h

ui_diagram.h: ../../src/diagram.ui
	/usr/bin/uic ../../src/diagram.ui -o ui_diagram.h

ui_newdrink.h: ../../src/newdrink.ui
	/usr/bin/uic ../../src/newdrink.ui -o ui_newdrink.h

ui_bill.h: ../../src/bill.ui
	/usr/bin/uic ../../src/bill.ui -o ui_bill.h

ui_changeuser.h: ../../src/changeuser.ui
	/usr/bin/uic ../../src/changeuser.ui -o ui_changeuser.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: ../../src/main.cpp ../../src/drinkcounter.h \
		../../src/alcohol.h \
		../../src/bill.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../../src/main.cpp

drinkcounter.o: ../../src/drinkcounter.cpp ../../src/drinkcounter.h \
		../../src/alcohol.h \
		../../src/bill.h \
		ui_drinkcounter.h \
		../../src/settings.h \
		../../src/diagram.h \
		../../src/newdrink.h \
		../../src/changeuser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o drinkcounter.o ../../src/drinkcounter.cpp

settings.o: ../../src/settings.cpp ../../src/settings.h \
		../../src/drinkcounter.h \
