=== debian/changelog ===
drinkcounter (0.8.1-2) stable; urgency=low

  Added features

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Fri, 17 Sep 2010 15:38:10 +0000
